# DaprProtos.InvokeServiceRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.InvokeServiceRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.InvokeServiceRequest`, `DaprProtos.InvokeServiceRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.InvokeServiceRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getId()` Required.
`com.google.protobuf.ByteString` `getIdBytes()` Required.
`CommonProtos.InvokeRequest` `getMessage()` Required.
`CommonProtos.InvokeRequestOrBuilder` `getMessageOrBuilder()` Required.
`boolean` `hasMessage()` Required.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getId

    String getId()

     Required. Callee's app id.

`string id = 1;`

Returns:
  The id.

#### getIdBytes

    com.google.protobuf.ByteString getIdBytes()

     Required. Callee's app id.

`string id = 1;`

Returns:
  The bytes for id.

#### hasMessage

    boolean hasMessage()

     Required. message which will be delivered to callee.

`.dapr.proto.common.v1.InvokeRequest message = 3;`

Returns:
  Whether the message field is set.

#### getMessage

    CommonProtos.InvokeRequest getMessage()

     Required. message which will be delivered to callee.

`.dapr.proto.common.v1.InvokeRequest message = 3;`

Returns:
  The message.

#### getMessageOrBuilder

    CommonProtos.InvokeRequestOrBuilder getMessageOrBuilder()

     Required. message which will be delivered to callee.

`.dapr.proto.common.v1.InvokeRequest message = 3;`